Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
[Java] Class DependencyReportTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.diagnostics.AbstractReportTask
              org.gradle.api.tasks.diagnostics.DependencyReportTask

    public class DependencyReportTask
    extends AbstractReportTask

Displays the dependency tree for a project. Can be configured to output to a file, and to optionally output a graphviz compatible "dot" graph. An instance of this type is used when you execute the `dependencies` task from the command-line.

Authors:
  Phil Messenger

Method Summary
`void` | `generate(Project project)`
`java.util.Set` | `getConfigurations()` Returns the configurations to generate the report for.
`ReportRenderer` | `getRenderer()`
`void` | `setConfigurations(java.util.Set configurations)` Sets the configurations to generate the report for.
`void` | `setRenderer(DependencyReportRenderer renderer)` Set the renderer to use to build a report.

Methods inherited from class AbstractReportTask
generate, generate, getOutputFile, getProjects, getRenderer, setOutputFile, setProjects

Method Detail

### generate

    public void generate(Project project)

### getConfigurations

    public java.util.Set getConfigurations()

  Returns the configurations to generate the report for. Default to all configurations of this task's containing project.
  Returns:
    the configurations.

### getRenderer

    public ReportRenderer getRenderer()

### setConfigurations

    public void setConfigurations(java.util.Set configurations)

  Sets the configurations to generate the report for.
  Parameters:
    `configurations` - The configuration. Must not be null.

### setRenderer

    public void setRenderer(DependencyReportRenderer renderer)

  Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.

Groovy Documentation